NCV(4)

NAME
ncv - NCR 53C500 based SCSI host adapter driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device scbus
device ncv

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    ncv_load="YES"

DESCRIPTION
The ncv driver provides access to the SCSI bus connected to an NCR 53C500 based PC-Card SCSI host adapter or an Adaptec AHA-2920 on the PCI bus.

HARDWARE
The following devices are currently supported by the ncv driver:

•   I-O DATA PCSC-DV
•   KME KXLC002 (TAXAN ICD-400PN, etc.), KXLC004, and UJDCD450
•   Macnica Miracle SCSI-II mPS110
•   Media Intelligent MSC-110, MSC-200
•   NEC PC-9801N-J03R
•   New Media Corporation BASICS SCSI
•   Qlogic Fast SCSI
•   RATOC REX-9530, REX-5572 (SCSI only)

DIAGNOSTICS
The following error messages are sometimes returned:

SCSI BUS RESET failed Usually returned when a failure occurs during the bus reset.

CMD_NOP failed No operation or the operation has failed.

CMD_NOP|CMD_DMA A failure occurred during the DMA read/write operations.

The ncv driver should return [ENODEV] when any of the previously noted failures occur.

SEE ALSO
cardbus(4), cd(4), da(4), pccard(4), sa(4), scsi(4)

HISTORY
The ncv device driver has been developed for NetBSD/pc98 and ported to FreeBSD. The ncv driver first appeared in FreeBSD 2.2 with PAO and merged in FreeBSD 4.2.

AUTHORS
-nosplit The ncv driver was written by Naofumi Honda. This manual page was written by Tom Rhodes <trhodes@FreeBSD.org> and Noriaki Mitsunaga <non@FreeBSD.org>.